using System;
using System.Runtime.InteropServices;
using System.Text;
using Microsoft;

namespace ContextExtend
{
	/// <summary>
	/// Summary description for IContextMenu.
	/// </summary>
	[ComImport(), 
	InterfaceType(ComInterfaceType.InterfaceIsIUnknown), 
	GuidAttribute("000214e4-0000-0000-c000-000000000046")]
	public interface IContextMenu
	{
		// IContextMenu methods
		[PreserveSig()]
		int QueryContextMenu(uint hmenu, uint iMenu, int idCmdFirst, int idCmdLast, uint uFlags);
		[PreserveSig()]
		void InvokeCommand (ref Win32.CMINVOKECOMMANDINFO pici);
		[PreserveSig()]
		int GetCommandString (UIntPtr idCmd, uint uType, UIntPtr pwReserved, StringBuilder pszName, ushort cchMax);
	}
}
