using System;

namespace ContextExtend
{
	/// <summary>
	/// Summary description for ShellMenuContextItem.
	/// </summary>
	public abstract class ShellMenuContextItem
	{
		public ShellMenuContextItem()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		public abstract string	name
		{
			get;
		}

		public virtual string	description
		{
			get
			{
				return "";
			}
		}

		public virtual string  tooltip
		{
			get
			{
				return "";
			}
		}

		public virtual bool Handles( System.IO.FileInfo fileInfo ) { return true; }
		public virtual bool Handles( System.IO.DirectoryInfo directoryInfo ) { return true; }
		public abstract void Run( ref Win32.CMINVOKECOMMANDINFO pici );

		public System.Collections.ArrayList fileList = new System.Collections.ArrayList();
		public System.Collections.ArrayList directoryList = new System.Collections.ArrayList();
	}
}
